local skins =
{
    [1] = nUI_HUDSKIN_HEALTHPOWER_TARGET,
    [2] = nUI_HUDSKIN_PLAYERTARGET_TARGET,
};

local myPvPBlock =
{
        anchor =
        {
            anchor_pt   = "TOPLEFT",
            relative_to = "$parent_Power",
            xOfs        = 100,
            yOfs        = -48,
        },
        options =
        {
            enabled = true,
            size    = 48,
            inset   = 0,
            strata  = nil,
            level   = 2,
            
            label =
            {
                enabled     = true,
                fontsize    = 16,
                justifyH    = "RIGHT",
                justifyV    = "MIDDLE",
                anchor_pt   = "RIGHT",
                xOfs        = 0,
                yOfs        = 1,
                color       = { r = 1, g = 1, b = 1, a = 1 },
            },
        },
};

local frame = CreateFrame( "Frame", "nUI_HUDPvp", UIParent );

local function onEvent()
    for i in pairs(skins) do
        local skinName = skins[i];
        if nUI_UnitSkins[skinName] then
            nUI_UnitSkins[skinName].elements["PvP"] = myPvPBlock;
        end
    end
end

frame:SetScript( "OnEvent", onEvent );
frame:RegisterEvent( "ADDON_LOADED" );
